Package oracle.kv.stats

# Interface OperationMetrics

public interface OperationMetrics
Aggregates the metrics associated with a KVS operation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `float`
  `getAverageLatencyMs()`
  Returns the average request latency in milliseconds.
  `int`
  `getMaxLatencyMs()`
  Returns the maximum request latency in milliseconds.
  `int`
  `getMinLatencyMs()`
  Returns the minimum request latency in milliseconds.
  `String`
  `getOperationName()`
  Returns the name of the KVS operation associated with the metrics.
  `int`
  `getTotalOps()`
  Deprecated.
  as of 19.2, see `getTotalOpsLong()`
  `long`
  `getTotalOpsLong()`
  Returns the number of operations that were executed.
  `int`
  `getTotalRequests()`
  Deprecated.
  as of 19.2, see `getTotalRequestsLong()`
  `long`
  `getTotalRequestsLong()`
  Returns the number of requests that were executed.

- ## Method Details

  - ### getOperationName

    String getOperationName()
    Returns the name of the KVS operation associated with the metrics.

  - ### getTotalOps

    @Deprecated int getTotalOps()
    Deprecated.
    as of 19.2, see `getTotalOpsLong()`
    Returns the number of operations that were executed as an int.

  - ### getTotalOpsLong

    long getTotalOpsLong()
    Returns the number of operations that were executed.

    For requests (API method calls) that involve a single operation (get, put, etc.), one operation is counted per request. For requests that involve multiple operations (multiGet, multiDelete, execute), all individual operations are counted.

    Since:
      19.2

  - ### getTotalRequests

    @Deprecated int getTotalRequests()
    Deprecated.
    as of 19.2, see `getTotalRequestsLong()`
    Returns the number of requests that were executed as an int.

  - ### getTotalRequestsLong

    long getTotalRequestsLong()
    Returns the number of requests that were executed.

    Only one request per API method call is counted, whether the request involves a single operation (get, put, etc.) or multiple operations (multiGet, multiDelete, execute). For requests that involve a single operation, this method returns the same value as `getTotalOpsLong()`.

    Since:
      19.2

  - ### getMinLatencyMs

    int getMinLatencyMs()
    Returns the minimum request latency in milliseconds.

  - ### getMaxLatencyMs

    int getMaxLatencyMs()
    Returns the maximum request latency in milliseconds.

  - ### getAverageLatencyMs

    float getAverageLatencyMs()
    Returns the average request latency in milliseconds.